
Redmine - Feature #9280

Required Custom field on Status

2011-09-19 21:50 - Alex Guillebot
Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Like in Trac or Jira, i would like that the user precise  the "resolution" of an issue when he wants to select the status "Resolved"

I would like that this field is enforce as requiered for this specific workflow status.

So basically,  what i would like is that:

when creating a custom field

and clicking on the the check box "required "

A list of Status is displays (including ANY)

the user can select as many he needs.

and then, every time the ticket changes its status, the ticket tracker checks if one field is not mandatory for this very specific

transition.

An alternative ofc, would be to make invisible a custom field for selected workflow status.  that would be sweet too.

that would really be awesome and really help to avoid mistakes during the workflow.

thanks

Related issues:

Is duplicate of Redmine - Feature #2500: configure custom fields as "required... Closed 2009-01-13

History

#1 - 2011-10-04 14:26 - Sébastien Gripon

+1

Probably duplicated of #2500.

#2 - 2011-10-04 14:49 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Indeed, thanks.
